summaryrefslogtreecommitdiffstats
path: root/boost-compat
diff options
context:
space:
mode:
author Eric Hameleers <alien@slackware.com>2018-12-16 16:06:08 +0000
committer Eric Hameleers <alien@slackware.com>2018-12-16 16:06:08 +0000
commit792cccb00a38fea4afceff7c03ea9bb5db248982 (patch)
tree97087c14b95a06eaf404c42b6f1528b361f6331c /boost-compat
parentde50e5125c238812eba26ab591f561dc9634610e (diff)
downloadasb-792cccb00a38fea4afceff7c03ea9bb5db248982.tar.gz
asb-792cccb00a38fea4afceff7c03ea9bb5db248982.tar.xz
Initial revision
Diffstat (limited to 'boost-compat')
-rwxr-xr-xboost-compat/build/boost-compat.SlackBuild117
-rw-r--r--boost-compat/build/slack-desc19
2 files changed, 136 insertions, 0 deletions
diff --git a/boost-compat/build/boost-compat.SlackBuild b/boost-compat/build/boost-compat.SlackBuild
new file mode 100755
index 00000000..3acc7df4
--- /dev/null
+++ b/boost-compat/build/boost-compat.SlackBuild
@@ -0,0 +1,117 @@
+#!/bin/sh
+# $Id$
+# Copyright 2018 Eric Hameleers, Eindhoven, NL
+# All rights reserved.
+#
+# Permission to use, copy, modify, and distribute this software for
+# any purpose with or without fee is hereby granted, provided that
+# the above copyright notice and this permission notice appear in all
+# copies.
+#
+# THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
+# IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
+# CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
+# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
+# USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
+# ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
+# OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
+# OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
+# SUCH DAMAGE.
+# -----------------------------------------------------------------------------
+#
+# Slackware SlackBuild script
+# ===========================
+# By: Eric Hameleers <alien@slackware.com>
+# For: boost-compat
+# Descr: boost libraries extracted from older releases.
+# Use for compatibility reasons on slackware-current,
+# after an update of boost.
+#
+# -----------------------------------------------------------------------------
+
+# Set initial variables:
+
+PRGNAM=boost-compat
+# Set the VERSION to the most recent boost package version we use:
+VERSION=${VERSION:-1.69}
+TAG=${TAG:-"alien"}
+BUILD=${BUILD:-1}
+
+# Where do we look for sources?
+SRCDIR=$(cd $(dirname $0); pwd)
+
+# Place to build (TMP) package (PKG) and output (OUTPUT) the program:
+TMP=${TMP:-/tmp/build}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+##
+## --- with a little luck, you won't have to edit below this point --- ##
+##
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$(uname -m)" in
+ i?86) ARCH=i586 ;;
+ arm*) readelf /usr/bin/file -A | egrep -q "Tag_CPU.*[4,5]" && ARCH=arm || ARCH=armv7hl ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) ARCH=$(uname -m) ;;
+ esac
+ export ARCH
+fi
+
+# Set LIBDIRSUFFIX:
+case "$ARCH" in
+ i?86) LIBDIRSUFFIX="" ;;
+ x86_64) LIBDIRSUFFIX="64" ;;
+ armv7hl) LIBDIRSUFFIX="" ;;
+ *) LIBDIRSUFFIX=${LIBDIRSUFFIX:-""} ;;
+esac
+
+# Exit the script on errors:
+set -e
+trap 'echo "$0 FAILED at line $LINENO!" | tee $OUTPUT/error-${PRGNAM}.log' ERR
+# Catch unitialized variables:
+set -u
+P1=${1:-1}
+
+# Create working directories:
+mkdir -p $OUTPUT # place for the package to be saved
+mkdir -p $TMP/tmp-$PRGNAM # location to build the source
+mkdir -p $PKG # place for the package to be built
+rm -rf $PKG/* # always erase old package's contents
+rm -rf $TMP/tmp-$PRGNAM/* # remove the remnants of previous build
+rm -rf $OUTPUT/{checkout,configure,make,install,error,makepkg,patch}-$PRGNAM.log
+ # remove old log files
+
+cd $TMP/tmp-$PRGNAM
+mkdir -p $PKG/usr/lib${LIBDIRSUFFIX}
+echo "Extracting the libraries for $PRGNAM..."
+for SOURCE in $SRCDIR/oldpkg/boost-*-$ARCH-*.t?z ; do
+ tar -xf ${SOURCE}
+ mv -i usr/lib${LIBDIRSUFFIX}/libboost*.so.* $PKG/usr/lib${LIBDIRSUFFIX}/
+ rm -rf *
+done
+cd $PKG
+chown -R root:root *
+chmod -R u+w,go+r-w,a-s *
+
+# Generate library symlinks:
+cd $PKG/usr/lib${LIBDIRSUFFIX}
+ldconfig -n .
+
+# Add a package description:
+mkdir -p $PKG/install
+cat $SRCDIR/slack-desc > $PKG/install/slack-desc
+
+# Build the package:
+cd $PKG
+makepkg --linkadd y --chown n $OUTPUT/${PRGNAM}-${VERSION}-${ARCH}-${BUILD}${TAG}.txz 2>&1 | tee $OUTPUT/makepkg-${PRGNAM}.log
+cd $OUTPUT
+md5sum ${PRGNAM}-${VERSION}-${ARCH}-${BUILD}${TAG}.txz > ${PRGNAM}-${VERSION}-${ARCH}-${BUILD}${TAG}.txz.md5
+cd -
+cat $PKG/install/slack-desc | grep "^${PRGNAM}" > $OUTPUT/${PRGNAM}-${VERSION}-${ARCH}-${BUILD}${TAG}.txt
+
diff --git a/boost-compat/build/slack-desc b/boost-compat/build/slack-desc
new file mode 100644
index 00000000..309ea522
--- /dev/null
+++ b/boost-compat/build/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+boost-compat: boost-compat (Boost C++ Libraries)
+boost-compat:
+boost-compat: Boost provides free peer-reviewed portable C++ source libraries.
+boost-compat: The emphasis is on libraries that work well with the C++ Standard
+boost-compat: Library. One goal is to establish "existing practice" and provide
+boost-compat: reference implementations so that the Boost libraries are suitable
+boost-compat: for eventual standardization.
+boost-compat: This package contains the shared libraries of older releases,
+boost-compat: to be used on slackware-current for compatibility reasons.
+boost-compat:
+boost-compat: Homepage: http://www.boost.org/